Bug 253224 - security/py-[acme|certbot]: Update to 1.13.0
Summary: security/py-[acme|certbot]: Update to 1.13.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/certbot/certbot/bl...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-03 16:44 UTC by Yasuhiro Kimura
Modified: 2021-03-07 16:54 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+
dbaio: maintainer-feedback+


Attachments
Patch file (11.95 KB, patch)
2021-02-03 16:44 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (26.03 KB, patch)
2021-03-04 04:52 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (25.31 KB, patch)
2021-03-07 15:48 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-02-03 16:44:53 UTC
Created attachment 222129 [details]
Patch file

Update to 1.12.0.

Change Log: https://github.com/certbot/certbot/blob/v1.12.0/certbot/CHANGELOG.md
Comment 1 Yasuhiro Kimura 2021-03-04 04:52:08 UTC
Created attachment 222961 [details]
Updated patch file

New version 1.13.0 is released.

Change Log: https://github.com/certbot/certbot/blob/v1.13.0/certbot/CHANGELOG.md
Comment 2 Danilo G. Baio freebsd_committer 2021-03-07 15:03:54 UTC
Hi Yasuhiro.
Thanks for the patch.
Is there any reason to remove man/certbot.1?
Comment 3 Yasuhiro Kimura 2021-03-07 15:48:53 UTC
Created attachment 223061 [details]
Updated patch file

(In reply to Danilo G. Baio from comment #2)

When I updated security/py-certbot to 1.12.0, I found certbot.1 wasn't generated and resulted in post-install stage error. But it seems to be bug of 1.12.0 and fixed in 1.13.0. So I updated patch to reflect it.
Comment 4 Danilo G. Baio freebsd_committer 2021-03-07 16:47:04 UTC
(In reply to Yasuhiro Kimura from comment #3)

right, thank you
Comment 5 commit-hook freebsd_committer 2021-03-07 16:52:28 UTC
A commit references this bug:

Author: dbaio
Date: Sun Mar  7 16:51:54 UTC 2021
New revision: 567578
URL: https://svnweb.freebsd.org/changeset/ports/567578

Log:
  security/py-[acme|certbot]: Update to 1.13.0

  Changelog:	https://github.com/certbot/certbot/blob/v1.13.0/certbot/CHANGELOG.md

  PR:		253224
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	python (with hat)

Changes:
  head/security/py-acme/Makefile
  head/security/py-acme/distinfo
  head/security/py-acme/version.mk
  head/security/py-certbot/Makefile
  head/security/py-certbot/distinfo
  head/security/py-certbot/files/patch-certbot-compat-misc.py
  head/security/py-certbot/files/patch-tests_cli__test.py
  head/security/py-certbot-apache/Makefile
  head/security/py-certbot-apache/distinfo
  head/security/py-certbot-dns-cloudflare/Makefile
  head/security/py-certbot-dns-cloudflare/distinfo
  head/security/py-certbot-dns-cloudxns/Makefile
  head/security/py-certbot-dns-cloudxns/distinfo
  head/security/py-certbot-dns-digitalocean/Makefile
  head/security/py-certbot-dns-digitalocean/distinfo
  head/security/py-certbot-dns-dnsimple/Makefile
  head/security/py-certbot-dns-dnsimple/distinfo
  head/security/py-certbot-dns-dnsmadeeasy/Makefile
  head/security/py-certbot-dns-dnsmadeeasy/distinfo
  head/security/py-certbot-dns-gehirn/Makefile
  head/security/py-certbot-dns-gehirn/distinfo
  head/security/py-certbot-dns-google/Makefile
  head/security/py-certbot-dns-google/distinfo
  head/security/py-certbot-dns-linode/Makefile
  head/security/py-certbot-dns-linode/distinfo
  head/security/py-certbot-dns-luadns/Makefile
  head/security/py-certbot-dns-luadns/distinfo
  head/security/py-certbot-dns-nsone/Makefile
  head/security/py-certbot-dns-nsone/distinfo
  head/security/py-certbot-dns-ovh/Makefile
  head/security/py-certbot-dns-ovh/distinfo
  head/security/py-certbot-dns-rfc2136/Makefile
  head/security/py-certbot-dns-rfc2136/distinfo
  head/security/py-certbot-dns-route53/Makefile
  head/security/py-certbot-dns-route53/distinfo
  head/security/py-certbot-dns-sakuracloud/Makefile
  head/security/py-certbot-dns-sakuracloud/distinfo
  head/security/py-certbot-nginx/Makefile
  head/security/py-certbot-nginx/distinfo
Comment 6 Danilo G. Baio freebsd_committer 2021-03-07 16:54:25 UTC
Committed, thanks!